package model;

import javafx.beans.property.BooleanProperty;
import javafx.beans.property.ReadOnlyBooleanProperty;

public class Cellule {
    private int x;
    private int y;
    private BooleanProperty vivante;

    public Cellule(int x, int y) throws IllegalArgumentException{
        if(x < 0 && y < 0){
            throw new IllegalArgumentException("Les coordonées doivent être positives");
        }
        this.x = x;
        this.y = y;
    }

    public Boolean estVivante(){ return vivante.get();}
    public void setVivante(Boolean vivante){ this.vivante.set(vivante);}
    public ReadOnlyBooleanProperty vivanteProperty(){return vivante;}

    public int getX(){
        return x;
    }
    public void setX(int valeur) throws IllegalArgumentException{
        if(valeur<0){
            throw new IllegalArgumentException("La valeur de X doit être positive");
        }
        x = valeur;
    }

    public int getY(){
        return y;
    }
    public void setY(int valeur) throws IllegalArgumentException{
        if(valeur<0){
            throw new IllegalArgumentException("La valeure de Y doit être positive");
        }
        y = valeur;
    }
}
